Subject: I-D Action: draft-ietf-homenet-front-end-naming-delegation-07.txt

From: [email-masked]
Date: Tue, 26 Jun 2018 08:33:17 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Home Networking WG of the IETF.

        Title           : Outsourcing Home Network Authoritative Naming Service
        Authors         : Daniel Migault
                          Ralf Weber
                          Ray Hunter
                          Chris Griffiths
                          Wouter Cloetens
	Filename        : draft-ietf-homenet-front-end-naming-delegation-07.txt
	Pages           : 34
	Date            : 2018-06-26

Abstract:
   Designation of services and devices of a home network is not user
   friendly, and mechanisms should enable a user to designate services
   and devices inside a home network using names.

   In order to enable internal communications while the home network
   experiments Internet connectivity shortage, the naming service should
   be hosted on a device inside the home network.  On the other hand,
   home networks devices have not been designed to handle heavy loads.
   As a result, hosting the naming service on such home network device,
   visible on the Internet exposes this device to resource exhaustion
   and other attacks, which could make the home network unreachable, and
   most probably would also affect the internal communications of the
   home network.

   As result, home networks may prefer not serving the naming service
   for the Internet, but instead prefer outsourcing it to a third party.
   This document describes a mechanisms that enables the Home Network
   Authority (HNA) to outsource the naming service to the Outsourcing
   Infrastructure.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-homenet-front-end-naming-delegation/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-homenet-front-end-naming-delegation-07
https://datatracker.ietf.org/doc/html/draft-ietf-homenet-front-end-naming-delegation-07

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-homenet-front-end-naming-delegation-07

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/